PDF::API2::Resource::CIDFont::CJKFont(3)

NAME
PDF::API2::Resource::CIDFont::CJKFont

METHODS

$font = PDF::API2::Resource::CIDFont::CJKFont->new $pdf, $cjkname, %options
    Returns a cjk-font object.

    Traditional Chinese: Ming Ming-Bold Ming-Italic Ming-BoldItalic

    Simplified Chinese: Song Song-Bold Song-Italic Song-BoldItalic

    Korean: MyungJo MyungJo-Bold MyungJo-Italic MyungJo-BoldItalic

    Japanese (Mincho): KozMin KozMin-Bold KozMin-Italic KozMin-BoldItalic

    Japanese (Gothic): KozGo KozGo-Bold KozGo-Italic KozGo-BoldItalic

    Defined Options:

        -encode ... specify fonts encoding for non-utf8 text.

$font = PDF::API2::Resource::CIDFont::CJKFont->new_api $api, $cjkname, %options
    Returns a cjk-font object. This method is different from 'new' that it needs an PDF::API2-object rather than a Text::PDF::File-object.

AUTHOR
Alfred Reibenschuh